> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cnaught.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hosted Climate Impact Page Configuration

> Returns information about the hosted public climate impact page configuration for the account (or a subaccount)



## OpenAPI

````yaml api-reference/openapi.yaml get /impact/hosted-page-config
openapi: 3.1.0
info:
  title: CNaught Carbon Credits API Documentation
  contact:
    email: support@cnaught.com
    name: CNaught
    url: https://cnaught.com/
  version: v1
  description: |
    Carbon Credits API Documentation
  termsOfService: https://cnaught.com/terms
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.cnaught.com/v1
    description: CNaught API
security:
  - ApiKey: []
tags:
  - name: Orders
    description: Endpoints for placing orders and retrieving information about orders
  - name: Quotes
    description: Endpoints for obtaining price quotes for orders
  - name: Climate Impact
    description: >-
      Endpoints for retrieving climate impact data and hosted public impact page
      configuration
  - name: Subaccounts
    description: Endpoints for creating and retrieving information about subaccounts
paths:
  /impact/hosted-page-config:
    get:
      tags:
        - Climate Impact
      summary: Get Hosted Climate Impact Page Configuration
      description: >-
        Returns information about the hosted public climate impact page
        configuration for the account (or a subaccount)
      operationId: GetImpactHostedPageConfig
      parameters:
        - $ref: '#/components/parameters/SubaccountId'
          description: >-
            If present, will return configuration for the hosted impact
            subaccount.
      responses:
        '200':
          description: Impact Hosted Page Configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImpactHostedPageConfig'
              example:
                enabled: true
                enabled_equivalents:
                  - homes
                  - flights
                url: https://impact.cnaught.com/cnaughtreserve
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    SubaccountId:
      name: X-Subaccount-Id
      in: header
      required: false
      description: >-
        If present, scopes the operation to the subaccount with given id. See
        [Subaccounts](/api/reference/#tag/Subaccounts) for more info.
      schema:
        type: string
  schemas:
    ImpactHostedPageConfig:
      type: object
      properties:
        enabled:
          type: boolean
          description: >-
            Whether the hosted impact page is enabled for the account or
            subaccount
        url:
          type: string
          description: URL of the hosted impact page for the account or subaccount
          examples:
            - https://impact.cnaught.com/cnaughtreserve
        enabled_equivalents:
          type: array
          description: >-
            The list of equivalent stats that are shown on the hosted impact
            page. Possible values are homes, flights, cars, trees
          items:
            type: string
          examples:
            - - homes
              - trees
  responses:
    Unauthorized:
      description: Request Unauthorized
      content:
        application/problem+json:
          schema:
            properties:
              title:
                type: string
                description: Short, human-readable summary of the problem type
              status:
                type: integer
                description: HTTP status code of the error
          example:
            title: Authorization has been denied for this request
            status: 401
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer

````